### Method

# ICalGLib Component merge_component

since: 1.0

#### Declaration [src]

    void
    i_cal_component_merge_component (
      ICalComponent* comp,
      ICalComponent* comp_to_merge
    )

#### Description [src]

Takes 2 VCALENDAR components and merges the second one into the first, resolving any problems with conflicting TZIDs. comp_to_merge will no longer exist after calling this function.

Available since: 1.0

#### Parameters

`comp_to_merge`

  Type: `ICalComponent`

  A `ICalComponent`. After merged it will not exist any more.

  The data is owned by the caller of the method.